<?php
defined('_JEXEC') or die('Restricted access');

class plgContentEmbedsocial extends JPlugin
{
    protected $autoloadLanguage = true;

    function onContentPrepare($context, $article, $params, $limitstart)
    {
        $text = $article->text;

        //[embedsocial_album id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_album id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-album' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/ei.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_instagram id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_instagram id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-instagram' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/in.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialInstagramScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_twitter id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_twitter id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-twitter' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/ti.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialTwitterScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_gallery id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_gallery id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-gallery' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/bi.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialGalleryScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_reviews id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_reviews id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-reviews' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/ri.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialReviewsScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_google_reviews id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_google_reviews id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-google-reviews' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/gri.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialGoogleReviewsScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_custom_reviews id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_custom_reviews id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-custom-reviews' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/cri.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialCustomReviewsScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_google_album id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_google_album id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];
                return "<div class='embedsocial-google-album' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/gi.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialGoogleScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_feed id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_feed id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];

                return "<div class='embedsocial-socialfeed' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/sf.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialSocialFeedScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_stories id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_stories id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];

                return "<div class='embedsocial-stories' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/st.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialStoriesScript'));</script>";
            }
        }, $article->text);
        
        //[embedsocial_stories_popup id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_stories_popup id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];

                return "<div class='embedsocial-stories-popup' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/stp.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialStoriesPopupScript'));</script>";
            }
        }, $article->text);

        //[embedsocial_story_gallery id="ALBUM_ID"]
        $article->text = preg_replace_callback('#\[embedsocial_story_gallery id="(.*)"\]#', function($match) {
            if (count($match) == 2) {
                $code = $match[1];

                return "<div class='embedsocial-story-gallery' data-ref='{$code}'></div><script>(function(d, s, id){var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = 'https://embedsocial.com/embedscript/stg.js'; d.getElementsByTagName('head')[0].appendChild(js);}(document, 'script', 'EmbedSocialStoryGalleryScript'));</script>";
            }
        }, $article->text);
       
        return true;
    }
}
?>
